Name:           epel-rpm-macros
Version:        7
Release:        36
Summary:        Extra Packages for Enterprise Linux RPM macros

Group:          System Environment/Base
License:        GPLv2

# This is a EPEL maintained package which is specific to
# our distribution.  Thus the source is only available from
# within this srpm.
URL:            http://download.fedoraproject.org/pub/epel
Source0:        macros.epel-rpm-macros
Source1:        macros.zzz-epel-override
Source2:        gpgverify
Source9:        GPL

# sysusers https://src.fedoraproject.org/rpms/systemd/c/ced9237a14d6775a98e1a2f93880990417b4ae6e
Source21:       macros.sysusers
Source22:       sysusers.attr
Source23:       sysusers.prov
Source24:       sysusers.generate-pre.sh

# misc macros
Source150:      macros.build-constraints
Source151:      https://src.fedoraproject.org/rpms/redhat-rpm-config/raw/rawhide/f/macros.shell-completions

BuildArch:      noarch
Requires:       redhat-release >= %{version}
# For Lua SRPM macros
Requires:       lua-srpm-macros
# For python buildroot macros
Requires:       python-srpm-macros
# Since the RHEL python-devel package doesn't require them, bring them in here
# python3-rpm-macros is brought in by python3X-devel
Requires:       python-rpm-macros
Requires:       python2-rpm-macros

%description
This package contains the Extra Packages for Enterprise Linux (EPEL) RPM
macros for building EPEL packages.

%package systemd
Summary:  Extra Packages for Enterprise Linux RPM macros (systemd)
Requires: epel-rpm-macros
Requires: systemd

#Provides systemd-rpm-macros, backported from fedora systemd
Provides:       systemd-rpm-macros

%description systemd
This package contains the systemd specific Extra Packages for Enterprise
Linux (EPEL) RPM macros for building EPEL packages.

%prep
%setup -cT
install -pm 644 %{SOURCE9} .

%install
#GPG Key
# Can't depend upon %%rpmmacrodir yet, since we're providing it
install -Dpm 644 %{SOURCE0} \
    %{buildroot}%{_rpmconfigdir}/macros.d/macros.epel-rpm-macros

install -Dpm 644 %{SOURCE1} \
    %{buildroot}%{_sysconfdir}/rpm/macros.zzz-epel-override

install -Dpm 755 %{SOURCE2} \
    %{buildroot}%{_rpmconfigdir}/gpgverify

# sysusers
mkdir -p %{buildroot}%{_rpmconfigdir}/fileattrs/
install -Dpm 0644 %{SOURCE21} %{buildroot}%{_rpmconfigdir}/macros.d/
install -Dpm 0644 %{SOURCE22} %{buildroot}%{_rpmconfigdir}/fileattrs/
install -Dpm 0755 %{SOURCE23} %{buildroot}%{_rpmconfigdir}/
install -Dpm 0755 %{SOURCE24} %{buildroot}%{_rpmconfigdir}/
# misc macros
install -Dpm 644 %{SOURCE150} \
    %{buildroot}%{_rpmconfigdir}/macros.d/macros.build-constraints
install -Dpm 644 %{SOURCE151} \
    %{buildroot}%{_rpmmacrodir}/macros.shell-completions

%files
%license GPL
%{_rpmconfigdir}/macros.d/macros.epel-rpm-macros
%{_sysconfdir}/rpm/macros.zzz-epel-override
%{_rpmconfigdir}/gpgverify
%{_rpmmacrodir}/macros.shell-completions

# misc macros
%{_rpmconfigdir}/macros.d/macros.build-constraints

%files systemd
# sysusers
%{_rpmconfigdir}/macros.d/macros.sysusers
%{_rpmconfigdir}/fileattrs/sysusers.attr
%{_rpmconfigdir}/sysusers.prov
%{_rpmconfigdir}/sysusers.generate-pre.sh

%changelog
* Tue Nov 22 2022 Todd Zullinger <tmz@pobox.com> - 7-36
- Backport macros.shell-completions from Fedora

* Mon Jan 31 2022 Pablo Greco <pgreco@centosproject.org> - 7-35
- Backport systemd sysusers macros from Fedora

* Mon Jan 31 2022 Stephen Gallagher <sgallagh@redhat.com> - 7-34
- Drop nodejs_arches override. RHEL now provides all of the arches.

* Wed Sep  1 2021 Michel Alexandre Salim <salimma@fedoraproject.org> - 7-33
- Fix macros.build-constraints' %%limit_build
  - number of CPUs will never be set to less than 1
  - this now outputs build flag overrides to be used with %%make_build etc.
  - add documentation

* Mon Aug  2 2021 Michel Alexandre Salim <salimma@fedoraproject.org> - 7-32
- Add macros.build-constraints
- Refactor to use standard macros, not hard-coded paths

* Wed Jul 14 2021 Miro Hrončok <mhroncok@redhat.com> - 7-31
- Introduce %%py3_check_import

* Fri Apr 23 2021 Miro Hrončok <mhroncok@redhat.com> - 7-30
- Make %%pycached compatible with RPM < 4.13
- Fixes: rhbz#1952704

* Tue Nov 10 2020 Miro Hrončok <mhroncok@redhat.com> - 7-29
- Backport %%py_provides

* Mon Oct 12 2020 Michel Alexandre Salim <salimma@fedoraproject.org> - 7-28
- Add a Requires for lua-srpm-macros

* Fri Sep 25 2020 Miro Hrončok <mhroncok@redhat.com> - 7-27
- Add %%python3_platform_triplet and %%python3_ext_suffix
- https://fedoraproject.org/wiki/Changes/Python_Upstream_Architecture_Names

* Sun Aug 30 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 7-26
- Backport %%_smp_build_ncpus from RPM 4.15

* Mon Jun 15 2020 Miro Hrončok <mhroncok@redhat.com> - 7-25
- Allow to combine %%pycached with other macros (e.g. %%exclude or %%ghost) (#1838992)

* Sat Dec 28 2019 Miro Hrončok <mhroncok@redhat.com> - 7-24
- Add the %%pycached macro

* Tue Oct 22 2019 Miro Hrončok <mhroncok@redhat.com> - 7-23
- Override %%py_build from RHEL not to use %%__python2 but %%__python

* Mon Sep 30 2019 Miro Hrončok <mhroncok@redhat.com> - 7-22
- Define %%python2 and %%python3

* Sun Aug 11 2019 Miro Hrončok <mhroncok@redhat.com> - 7-21
- Move %%python3_other_pkgversion from python-srpm-macros
- Redefine %%python3_pkgversion to backwards compatible value

* Sat Jun 29 2019 Kevin Fenzi <kevin@scrye.com> - 7-20
- Add gpgverify script for maintainers.

* Fri Jun 15 2018 Jason L Tibbitts III <tibbs@math.uh.edu> - 7-19
- Add %%set_build_flags macro.

* Mon May 14 2018 Jason L Tibbitts III <tibbs@math.uh.edu> - 7-18
- Add various %%build_* macros from Fedora.

* Fri Apr 20 2018 Jason L Tibbitts III <tibbs@math.uh.edu> - 7-17
- Add %%_rpmmacrodir from Fedora.

* Fri Apr 20 2018 Jason L Tibbitts III <tibbs@math.uh.edu> - 7-16
- Add %%_metainfodir macro.

* Thu Feb 15 2018 Jason L Tibbitts III <tibbs@math.uh.edu> - 7-15
- Add %%vimfiles_root (bug #1545901)

* Mon Jan 29 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 7-14
- Backport ldconfig macros

* Thu Dec 15 2016 Jason L Tibbitts III <tibbs@math.uh.edu> - 7-13
- Backport vpath macros.

* Fri Dec 9 2016 Orion Poplawski <orion@cora.nwra.com> 7-12
- Fix override macro file name

* Tue Dec 6 2016 Orion Poplawski <orion@cora.nwra.com> 7-11
- Override %%_pkgdocdir (bug #1392354)

* Fri Sep 16 2016 Jason L Tibbitts III <tibbs@math.uh.edu> - 7-10
- Add overrides file (seems that it must be in /etc/rpm) and override
  %%nodejs_arches.

* Thu Aug 11 2016 Jason L Tibbitts III <tibbs@math.uh.edu> - 7-9
- Add %%bash_completion_dir.

* Wed Mar 30 2016 Jason L Tibbitts III <tibbs@math.uh.edu> - 7-8
- Use simpler definition of %%epel.

* Thu Feb 18 2016 Jason L Tibbitts III <tibbs@math.uh.edu> - 7-7
- Add mono macros requested in rhbz 1295117.

* Mon Jan 25 2016 Orion Poplawski <orion@cora.nwra.com> 7-6
- Bring in python macros via the python-rpm-macros packages
- Use %%setup so fedpkg local works

* Mon Jan 4 2016 Orion Poplawski <orion@cora.nwra.com> 7-5
- Fix python_provide macro for EPEL7 python3 package names

* Thu Oct  8 2015 Thomas Spura <tomspur@fedoraproject.org> - 7-4
- Fix python_provide macro to use epoch and obsolete previous python- package

* Tue Aug 18 2015 Orion Poplawski <orion@cora.nwra.com> 7-3
- Fix py2_install macro
- Cleanup spec

* Sat Aug 01 2015 Kevin Fenzi <kevin@scrye.com> 7-2
- Add python macros. Fixes bug #1241655

* Wed Apr 29 2015 Kevin Fenzi <kevin@scrye.com> 7-1
- Initial version for epel.
